Subject: Re: more findings/questions on vlans/bonds

From: Or Gerlitz <[email-masked]>
Date: Thu, 16 Apr 2009 17:17:42 +0300

>> I played a bit with bonding vlans (2.6.29 active-backup mode) and it
>> doesn't seem to work - specifically, I noted that bonding doesn't issue
>> fail-over after I changed the current slave link status to down ("ifconfig
>> eth0.4001 down"). I suspect that the carrier based link monitoring scheme
>> is broken wrt to vlan devices 
[...]
>> I also played with a post 2.6.29 cut of Linus tree, and I couldn't bond vlans.

Hi Jay, 

Did you had the chance to look into the bonding-vlan-devices related issues
I came across when doing these tests?

Or.